﻿using System.Collections.Generic;

namespace MRGSP.SurveyMaster.Core.Model
{
    public interface IPageableInfo
    {
        int PageCount { get; set; }
        int PageIndex { get; set; }
    }

    public interface IPageable<T> : IPageableInfo
    {
        IEnumerable<T> Page { get; set; }
    }
}