﻿using System.Collections.Generic;
using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Repository
{
    public interface ISurveySessionRepository
    {
        IEnumerable<SurveySession> GetPageForUser(int page, int pageSize, long userId);
        int CountForUser(long userId);
        int Done(long id);
        long Insert(long surveyId, long userId, IEnumerable<Answer> answers);
        SurveySession Get(long id);
        long Update(long sessionId, IEnumerable<Answer> answers);
        IEnumerable<Answer> GetBySessionId(long sessionId);
    }
}