﻿using System.Collections.Generic;
using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Service
{
    public interface IQuestionService
    {
        long Create(long? parentId, int type, string text, long surveyId, bool isMandatory);
        IEnumerable<Question> GetBySurveyId(long surveyId);
        bool Delete(long id);
        Question Get(long id);
        IEnumerable<Question> GetByQuestionId(long id);
        bool Update(long id, string text, int typeId, bool isMandatory);
        bool Update(long id, string text, bool isMandatory);
        void AddColumn(long gridId, string text, bool columnIsMandatory);
        void AddCellElement(long columnId, string text, int typeId);
        long GetGrandGrandPa(long id);
        bool DeleteColumn(long columnId);
        long GetGrandPaId(long id);
        long GetGrandPaIdByColumnId(long columnId);
        void AddRow(long parentId, int typeId, string text, long surveyId);
    }
}