﻿using System.Collections.Generic;
using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Service
{
    public interface ISurveySessionSevice
    {
        IPageable<SurveySession> GetPage(int page, int pageSize, long userId);
        void Done(long id);
        SurveySession Get(long id);
        long Update(long sessionId, IEnumerable<Answer> answers);
        long Save(long surveyId, long userId, IEnumerable<Answer> answers);
        IEnumerable<Answer> GetBySessionId(long sessionId);
    }
}