﻿using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Service
{
    public interface IUserService
    {
        IPageable<User> GetPage(int page, int pageSize);
        long Create(User user);
        long Save(User user);
        void Delete(long id);
        User Get(long id);
        bool Exists(string login);
        bool Exists(string login , string password);
        string GetRole(string login);
        User Get(string login);
    }
}