﻿using MRGSP.SurveyMaster.Core.Model;
using MRGSP.SurveyMaster.Core.Repository;

namespace MRGSP.SurveyMaster.Data
{

    public class SurveyRepository : Repo<Survey>, ISurveyRepository
    {
        public SurveyRepository(IConnectionFactory connFactory) : base(connFactory)
        {
        }

        public override int Delete(long id)
        {
            return DbUtil.ExecuteNonQuerySp("deleteSurvey", Cs, new {id});
        }

    }
}