﻿using System.Web.Mvc;
using System.Web.Routing;
using Hyper.ComponentModel;
using MRGSP.SurveyMaster.Infra;
using MvcContrib.Castle;
using Omu.ValueInjecter;

namespace MRGSP.SurveyMaster.WebUI
{
    public class Bootstrapper
    {
        public static void Bootstrap()
        {
            RouteConfigurator.RegisterRoutes(RouteTable.Routes);
            ControllerBuilder.Current.SetControllerFactory(new WindsorControllerFactory(IoC.Container));
            WindsorConfigurator.Configure();
            PropertyInfosStorage.RegisterActionForEachType(HyperTypeDescriptionProvider.Add);
        }
    }
}