﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<MRGSP.SurveyMaster.Infra.Dto.QuestionCreateInput>" %>
<%@ Import Namespace="MRGSP.SurveyMaster.Localization" %>
<% using (Html.BeginForm("AddQuestion", "Question", FormMethod.Post))
   {%>
<%= Html.ValidationSummary(true) %>
<fieldset>
    
    <div class="efield">
        <div class="elabel">
            <label for="QCText">
                <%=MUI.Text %></label>
        </div>
        <div class="einput">
            <%= Html.TextBoxFor(model => model.QCText, new Dictionary<string, object>{{"class", "required"}}) %>
        </div>
    </div>
    <div class="efield">
        <div class="elabel">
            <label for="QCType">
                <%=MUI.Type %></label>
        </div>
        <div class="einput">
            <%= Html.DropDownList("QCType", Model.QCType as IEnumerable<SelectListItem>) %>
        </div>
    </div>
    <div class="efield">
        <div class="elabel">
            <label for="QCIsMandatory">
                <%=MUI.Mandatory %></label>
        </div>
        <div class="einput">
            <%= Html.CheckBoxFor(o => o.QCIsMandatory) %>
        </div>
    </div>
    <%= Html.HiddenFor(model => model.QCSurveyId) %>
    <%= Html.HiddenFor(o => o.QCParentId) %>
</fieldset>
<% } %>
