﻿using System.Collections.Generic;
using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Repository
{
    public interface IQuestionRepository
    {
        long Insert(long? parentId, string text, int typeId, long surveyId, bool isMandatory);
        IEnumerable<Question> GetBySurveyId(long surveyId);
        int Delete(long id);
        Question Get(long id);
        IEnumerable<Question> GetByQuestionId(long id);
        int Update(long id, string text, int typeId, bool isMandatory);
        int InsertColumnQuestions(long id, string text, int typeId, bool mandatory);
        long GetParentId(long id);
        int DeleteByColumnId(long id);
        int InsertCellQuestions(long columnId, string text, int typeId);
        long GetGrandPaIdByColumnId(long id);
        long InsertRow(long parentId, int typeId, string text, long surveyId);
    }
}