﻿using System.Collections.Generic;
using MRGSP.SurveyMaster.Core.Model;

namespace MRGSP.SurveyMaster.Core.Repository
{
    public interface IUserRepository
    {
        long Insert(User o);
        int Update(User o);
        int Delete(long id);
        User Get(long id);
        IEnumerable<User> GetPage(int page, int pageSize);
        int Count();
        int Count(string login);
        int Count(string login, string password);
        byte GetRole(string login);
        User Get(string login);
    }
}