﻿using System.ComponentModel.DataAnnotations;

namespace MRGSP.SurveyMaster.Infra.Dto
{
    public class RootCreateInput
    {
        [Required]
        public string RCText { get; set; }

        public object RCType { get; set; }

        public long RCSurveyId { get; set; }

        public bool RCIsMandatory { get; set; }
    }

    public class RootEditInput
    {
        [Required]
        public string REText { get; set; }

        public long REId { get; set; }

        public bool REIsMandatory { get; set; }
    }

    public class QuestionCreateInput
    {
        [Required]
        public string QCText { get; set; }

        public object QCType { get; set; }

        public long QCSurveyId { get; set; }

        public long QCParentId { get; set; }

        public bool QCIsMandatory { get; set; }
    }

    public class RowEditInput
    {
        [Required]
        public string RowEditText { get; set; }
        public object RowEditType { get; set; }
        public long RowEditId { get; set; }
    }

    public class RowCreateInput
    {
        [Required]
        public string RowText { get; set; }
        public object RowType { get; set; }
        public long RowSurveyId { get; set; }
        public long RowParentId { get; set; }
    }

    public class CellCreateInput
    {
        [Required]
        public string CellText { get; set; }

        public object CellType { get; set; }

        public long CellColumnId { get; set; }
    }

    public class QuestionEditInput
    {
        public long QEId { get; set; }

        [Required]
        public string QEText { get; set; }

        public object QEType { get; set; }

        public bool QEIsMandatory { get; set; }
    }

    public class ColumnCreateInput
    {
        public long ColumnGridId { get; set; }

        public long ColumnSurveyId { get; set; }

        public string ColumnText { get; set; }

        public bool ColumnIsMandatory { get; set; }
    }
}