﻿using MRGSP.SurveyMaster.Core.Model;
using MRGSP.SurveyMaster.Core.Service;
using MRGSP.SurveyMaster.Core.Service.Utils;
using MRGSP.SurveyMaster.Service.Utils;

namespace MRGSP.SurveyMaster.Service
{
    public class RadioGenerator : IHtmlGenerator
    {
        public string Generate(Question question)
        {
            return string.Format("<input type='radio' id='q{0}' name='c{1}' value='{0}' {2} />{3}",
                                 question.Id,
                                 question.ParentId,
                                 question.Value != null ? "checked" : string.Empty,
                                 question.BuildLabel())
                .Colorize(question);
        }
    }
}