﻿using MRGSP.SurveyMaster.Core.Model;
using MRGSP.SurveyMaster.Core.Service.Utils;

namespace MRGSP.SurveyMaster.Service.Utils
{
    public class TextAreaGenerator : IHtmlGenerator
    {
        public string Generate(Question question)
        {
            return string.Format("{2}<textarea name='q{0}' id='q{0}' rows='3' cols='50'>{1}</textarea>",
                                 question.Id,
                                 question.Value,
                                 question.BuildLabel())
                .Colorize(question);
        }
    }
}